clear all; close all; clc;

%% Directories
% load the path where fieldtrip is located
addpath('/Users/sophie/ownCloud/MATLAB_Toolboxes/fieldtrip-20170501/'); % using the newer FT version!
% addpath('/Users/sophie/ownCloud/MATLAB_Toolboxes/fieldtrip-20160620/'); % using the newer FT version!
ft_defaults

addpath('/Users/sophie/ownCloud/MATLAB_Toolboxes/shadedErrorBar');


% load TRF functions
addpath('/Users/sophie/ownCloud/MATLAB_Toolboxes/mTRF_1.3')

rootDir = '/Volumes/SophiesDATA/DisTime_EEGII/';
rawDir = '/Volumes/SophiesDATA/DisTime_EEGII/raw/';
preprocDir = '/Volumes/SophiesDATA/DisTime_EEGII/preproc/';
sourceDir = '/Volumes/SophiesDATA/DisTime_EEGII/TRF_DATA/TRF_SOURCE/';

PicDir = '/Users/sophie/ownCloud/PROJECT_DisTime/DisTime_mTRF/MS_DisTime_TRF/Pics_MS_DisTime_TRF/MatlabOutput/';

sbs = dir([rawDir '*.cnt']);
lock = 'cross';

% load TRF functions
addpath('/Users/sophie/ownCloud/MATLAB_Toolboxes/mTRF_1.3');
addpath('/Users/sophie/ownCloud/myamtlabfunctions');

%%
for i_sb = 1 : size(sbs,1)
        clear SB_B_MAT;
        % load raw DATA for each SB
        [dum SB] =  fileparts(sbs(i_sb).name);
        disp(['subject ' SB '...']);
        
        load([sourceDir filesep 'RES_EEGII_TRF_pred2HFs_SB' num2str(i_sb) '_source_longHF_peakonly'])  ;
        
        % tone
   %      load([sourceDir filesep 'RES_EEGII_TRF_predTone_SB' num2str(i_sb) '_source'])  ;
        
        % collect TRFs from all SBS
        avgB_MAT(i_sb,:,:,:,:) = SB_B_MAT;
         
%        % CORR
%        if i_sb < 10
%        load([sourceDir filesep 'RES_EEGII_TRF_pred2HFs_CORR_SB_EEGII_0' num2str(i_sb) '.mat'])  ;
%        else
%        load([sourceDir filesep 'RES_EEGII_TRF_pred2HFs_CORR_SB_EEGII_' num2str(i_sb) '.mat'])  ;
%        end
%        
%        for i_cond = 1:3  
%            for i_predcond = 1:3  
%             CORR_MAT_ALL{i_sb,i_cond,i_predcond} = CORR_MAT{i_cond,i_predcond};
%            end
%        end

       % clear CORR_MAT % 
       clear SB_B_MAT;
end

avgcondB_MAT = squeeze(mean(avgB_MAT,2));
%% compute correlation index

% datacond is the condition where the original EEG comes from
% predcond (the 3rd dimension of CORR_MAT is the condition from which the
% model was estimated

for i_sb = 1:size(CORR_MAT_ALL,1)
    for i_datacond = 1:size(CORR_MAT_ALL,2)
        for i_trial =   1: size(CORR_MAT_ALL{i_sb,i_datacond,1},1)
            
            corr1 = CORR_MAT_ALL{i_sb,i_datacond,1}(i_trial,:);
            corr3 = CORR_MAT_ALL{i_sb,i_datacond,3}(i_trial,:);
           
            ind_tmp = robust_index(corr1,corr3);
            
            CORR_IND{i_sb,i_datacond}(i_trial,:) = ind_tmp;
            
        end
        avg_CORR_IND(i_sb,i_datacond,:) = squeeze(mean(CORR_IND{i_sb,i_datacond},1));
    end
end


