%% Plot on Sourcelevel

% get data, e.g. TRFs
% must be a vector the size of the voxels

load([sourceDir filesep 'commonfilter_dummy.mat']);
load('standard_mri.mat');
close all


%%
clear activation
% lags and lambda for the TFR;
tau = [-200  600];
% timevector for the lags (used for plotting)
tlags = tau(1)/1000:1/200:tau(2)/1000;
t = nearest(tlags,[-0.01 0.01]);
%  t = nearest(tlags,[0.2 0.3]);

%% find voxels corresponding to label
cfg              = [];
cfg.parameter    = 'tissue';
cfg.interpmethod = 'linear'; % 'nearest'

label_name = 'precuneus';

% load atlas
atlas = ft_read_atlas('/Users/sophie/ownCloud/MATLAB_Toolboxes/fieldtrip-20170501/template/atlas/aal/ROI_MNI_V4.nii');

% interpolate atlas and source model
% units should be mm for both
source_intp = ft_sourceinterpolate(cfg, atlas, commonfilter_tlock);


% cfg.roi        = {'Supp_Motor_Area_L','Supp_Motor_Area_R'};
% labelL = find(strcmp(atlas.tissuelabel,'Supp_Motor_Area_L'));
% labelR = find(strcmp(atlas.tissuelabel,'Supp_Motor_Area_R'));

% labelL = find(strcmp(atlas.tissuelabel,'Paracentral_Lobule_L'));
% labelR = find(strcmp(atlas.tissuelabel,'Paracentral_Lobule_R'));

% labelL = find(strcmp(atlas.tissuelabel,'Frontal_Sup_L'));
% labelR = find(strcmp(atlas.tissuelabel,'Frontal_Sup_R'));

%  labelL = find(strcmp(atlas.tissuelabel,'Cerebelum_9_L'));
%  labelR = find(strcmp(atlas.tissuelabel,'Cerebelum_9_R'));

labelL = find(strcmp(atlas.tissuelabel,'Precuneus_L'));
labelR = find(strcmp(atlas.tissuelabel,'Precuneus_R'));

indxL = find(source_intp.tissue==labelL);
indxR = find(source_intp.tissue==labelR);

ROI = [indxL' indxR'];

%%
%close all;
clear meandat;
for i_sb = 1:size(avgB_MAT,1)
    for i_cond = 1:3
        for i_HF = 1:2
            for i_t = 1:size(avgB_MAT,5)
                
                % get source data per sb, cond, HF
                activation = squeeze(avgB_MAT(i_sb,i_cond,i_HF,:,i_t));% t(1):t(2)
                
                % put it back in the source struct
                clear dummy_source
                dummy_source=commonfilter_tlock;
                dummy_source.avg.pow(dummy_source.inside) = activation;
                dummy_source.time= 0;
                
                % get activity at ROI
                tmpdat = dummy_source.avg.pow(ROI);
                meandat(i_sb,i_cond,i_HF,i_t) = nanmean(tmpdat);
                
            end
        end
    end
end

%%
figure();
% colors for the plots
cond_colors = [253,184,99; 178,171,210; 94,60,153];
cond_colors = cond_colors./255;
my_lines = {'-',':'};
for i_HF = 1:2
    subplot(2,1,i_HF)
for i_cond = 1:3
    
        tmpdat = squeeze(mean(meandat(:,i_cond,i_HF,:),1));
        
        plot(tlags,tmpdat,'color',cond_colors(i_cond,:),...
            'LineWidth',1.5); hold all;
legend({'cond 1', 'cond 2', 'cond 3'})
end
    ylim([-.02 ,.01])
    xlim([-.1 ,.5])
    
    xlabel('TRF lag [s]');
   
    hl = hline(0,'k')
    vl = vline(0,'k')
    
    title(['HF ' num2str(i_HF) ' TRF: ' label_name]);
    
    
    % aesthetics
    set( gca                       , ...
        'FontName'   , 'Helvetica' ,...
        'FontSize'   , 8 );
    
    set(gca, ...
        'Box'         , 'off'     , ...
        'TickDir'     , 'out'     , ...
        'TickLength'  , [.01 .01] , ...
        'XMinorTick'  , 'off'      , ...
        'YMinorTick'  , 'off'      , ...
        'YGrid'       , 'off'      , ...
        'XGrid'       , 'off'      , ...
        'XColor'      , [0 0 0]     , ...
        'YColor'      , [0 0 0]     , ...
        'YTick'       , -.02: .01 : .01, ...
        'LineWidth'   , .75         );
    
    
end
% print( '-dpdf',[PicDir filesep 'EEGII_TRF_2HF_SMAbil.pdf'], '-painters')% PicDir filesep
print( '-dpdf',[PicDir filesep 'EEGII_TRF_2HF_' label_name '.pdf'], '-painters')% PicDir filesep

% print( '-dpdf',[PicDir filesep 'EEGII_TRF_2HF_SMAleft.pdf'], '-painters')% PicDir filesep


%%
i_HF = 2;
tp = nearest(tlags,0.05);
figure;
boxplot(squeeze(meandat(:,:,i_HF,tp)));
testdat1 = squeeze(meandat(:,1,i_HF,tp));
testdat2 = squeeze(meandat(:,3,i_HF,tp));
[h,p] = ttest(testdat1,testdat2)
